Bug 840735 - SAM create environment returned error :There was an error retrieving that row:Not Found
SAM create environment returned error :There was an error retrieving that row...
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
medium Severity unspecified
: rc
: ---
Assigned To: Adam Price
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 02:24 EDT by Tazim Kolhar
Modified: 2017-06-26 16:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 16:37:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Environment Create display error (83.13 KB, image/png)
2012-07-17 02:24 EDT, Tazim Kolhar
no flags Details
Environment created without any error (103.77 KB, image/png)
2012-08-13 02:52 EDT, Tazim Kolhar
no flags Details
Environment created without any error (48.14 KB, image/png)
2012-08-13 02:56 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2012-07-17 02:24:39 EDT
Created attachment 598562 [details]
Environment Create display error

Description of problem:
Create a environement for organization (here ACME_Corporation).
After successful creation, returns error row:Not Found

Version-Release number of selected component (if applicable):
[root@nec-em9 ~]# rpm -qa | grep katello
katello-certs-tools-1.1.6-1.fc16.noarch
katello-configure-0.2.30-1.fc16.noarch
katello-headpin-all-0.2.24-1.fc16.noarch
katello-selinux-0.2.6-1.fc16.noarch
katello-cli-common-0.2.43-1.fc16.noarch
katello-glue-candlepin-0.2.45-1.fc16.noarch
katello-cli-headpin-0.1.19-1.fc16.noarch
katello-headpin-0.2.24-1.fc16.noarch
katello-common-0.2.45-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch


How reproducible:
yum install -y katello-headpin-all
katello-configure --deployment=sam

Steps to Reproduce:
1.Login to the SAM WebUI
2.Navigate to Administer
3.Select Manage Organization
4.Select a organization from left pane
5.Add environment name and description
6.Create and save
7. After creation the row is not retrieved 
  
Actual results:
Error:There was an error retrieving that row:Not Found

Expected results:
the created environment should be displayed without any
errors

Additional info:
added the screen shot
Comment 1 Adam Price 2012-08-10 17:12:16 EDT
appears to be fixed
Comment 2 Tazim Kolhar 2012-08-13 02:52:41 EDT
Created attachment 603861 [details]
Environment created without any error

VERFIED with the build :

[root@dell-pesc1435-01 ~]# rpm -qa | grep katello
katello-all-1.0.5-1.fc16.noarch
katello-glue-candlepin-1.0.5-1.fc16.noarch
katello-cli-1.1.1-1.fc16.noarch
katello-configure-1.1.3-1.fc16.noarch
katello-glue-pulp-1.0.5-1.fc16.noarch
katello-1.0.5-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-selinux-1.0.1-1.fc16.noarch
katello-glue-foreman-1.0.5-1.fc16.noarch
katello-certs-tools-1.1.8-1.fc16.noarch
katello-cli-common-1.1.1-1.fc16.noarch
katello-common-1.0.5-1.fc16.noarch


No error occured while creating the environment via UI
Comment 3 Tazim Kolhar 2012-08-13 02:56:19 EDT
Created attachment 603862 [details]
Environment created without any error

VERIFIED with the build:

[root@dell-pesc1435-01 ~]# rpm -qa | grep katello
katello-all-1.0.5-1.fc16.noarch
katello-glue-candlepin-1.0.5-1.fc16.noarch
katello-cli-1.1.1-1.fc16.noarch
katello-configure-1.1.3-1.fc16.noarch
katello-glue-pulp-1.0.5-1.fc16.noarch
katello-1.0.5-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-selinux-1.0.1-1.fc16.noarch
katello-glue-foreman-1.0.5-1.fc16.noarch
katello-certs-tools-1.1.8-1.fc16.noarch
katello-cli-common-1.1.1-1.fc16.noarch
katello-common-1.0.5-1.fc16.noarch


Able to create environment without any error via WEBUI
Comment 4 Tom McKay 2012-08-29 10:30:25 EDT
Behavior seen when creating a new system (through katello UI). It attempts to make a call to /katello/undefined instead of /katello/systems#panel=system_7
Comment 6 Og Maciel 2012-10-09 15:25:57 EDT
Verified:

* candlepin-0.7.12-1.el6_3.noarch
* candlepin-tomcat6-0.7.12-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-common-1.1.10-1h.el6_3.noarch
* katello-cli-headpin-0.2.2-1.el6_2.noarch
* katello-common-1.1.14-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.14-2h.el6_3.noarch
* katello-headpin-1.1.14-2h.el6_3.noarch
* katello-headpin-all-1.1.14-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch
Comment 8 Bryan Kearney 2017-06-26 16:37:46 EDT
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!

Note You need to log in before you can comment on or make changes to this bug.